# 클레임

클레임 (Claim)은 밸리데이터 지갑 (Validator Wallet)에 들어있는 사용자의 토큰을 출금하는 과정입니다.&#x20;

앞서 진행한 언스테이킹 (unstaking)을 통해 지갑 컨트랙트로 이동한 ETH를 사용자의 지갑으로 이동시키는 과정입니다.

{% hint style="info" %}
Claim을 하기 위해서는 Git Repository에서 제공하는 코드를 사용자가 직접 실행해야 합니다.

* [https://github.com/dKargo/dkargo-validator-utils](<&#xA;https://github.com/dKargo/dkargo-validator-utils>)
  {% endhint %}

## STEP 1 - WithdrawStakerFunds

이전 과정을 통해서 롤업 컨트랙트에 WithrawableFunds로 보관 중인 ETH를 호출자의 밸리데이터 지갑 컨트랙트로 출금합니다. 해당 동작을 통해서 ETH는 밸리데이터 지갑 컨트랙트로 이동됩니다.

```jsx
const res = await rollup.withdrawStakerFunds();

const receipt = await res.wait();

console.log(receipt.transactionHash)
```

## STEP 2 - Withdraw ETH

밸리데이터 지갑 컨트랙트로 출금하였던 스테이킹용 ETH를 출금하는 과정입니다. 함수 호출을 통해서 밸리데이터 지갑에 보관된 ETH를 사용자 지갑으로 전송합니다.

```jsx
const withdrawReq = await walletContract.withdrawEth(
	ethers.utils.parseEther(withdrawAmount), wallet.address
);

const reciept = await withdrawReq.wait();

console.log(receipt.transactionHash)
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.dkargo.io/undefined-2/undefined-3.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
